# Checkpoint
4.1 What is a control structure?

4.2 What is a decision structure?

4.3What is a single alternative decision structure?

4.4 What is a Boolean expression?

4.5 What types of relationships between values can you test with relational operators?

4.6 Write a pseudocode If-Then statement that assigns 0 to x if y is equal to 20.

4.7 Write a pseudocode If-Then statement that assigns 0.2 to commission if sales is greater than or equal to 10,000.
4.8 How does a dual alternative decision structure work?

4.9 What statement do you use in pseudocode to write a dual alternative decision structure?

4.10 When you write an If-Then-Else statement, under what circumstances do the statements that appear between Else and End If execute?
4.11 If the following pseudocode were an actual program, what would it display?
```
If "z" < "a" Then
   Display "z is less than a."
Else
   Display "z is not less than a."
End If
```
4.12 If the following pseudocode were an actual program, what would it display?
```
Declare String s1 = "New York"
Declare String s2 = "Boston"
If s1 > s2 Then
   Display s2
   Display s1
Else
   Display s1
   Display s2
End If
```

4.13 How does a dual alternative decision structure work?

4.14 What statement do you use in pseudocode to write a dual alternative decision structure?

4.15 When you write an If-Then-Else statement, under what circumstances do the statements that appear between the Else clause and the End If clause execute?

4.16 Convert the following pseudocode to an If-Then-Else If statement:
```
If number == 1 Then
   Display "One"
Else
   If number == 2 Then
      Display "Two"
   Else
      If number == 3 Then
         Display "Three"
      Else
        Display "Unknown"
      End If
   End If
End If
```

4.17 What is a multiple alternative decision structure?

4.18 How do you write a multiple alternative decision structure in pseudocode?

4.19 What does the case structure test, in order to determine which set of statements to execute?

4.20 You need to write a multiple alternative decision structure, but the language you are using will not allow you to perform the test you need in a Select Case statement. What can you do to achieve the same results?

4.21 What is a compound Boolean expression?

4.22 The following truth table shows various combinations of the values true and false connected by a logical operator. Complete the table by circling T or F to indicate whether the result of such a combination is true or false.

![image](../../assets/checkpoints_logical_expression1.png)



4.23 Assume the variables a = 2, b = 4, and c = 6. Circle the T or F for each of the following conditions to indicate whether its value is true or false.

![image](../../assets/checkpoints_logical_expression2.png)

4.24 Explain how short-circuit evaluation works with the AND and OR operators.

4.25Write an If-Then statement that displays the message “The number is valid” if the variable speed is within the range 0 through 200.

4.26 Write an If-Then statement that displays the message “The number is not valid” if the variable speed is outside the range 0 through 200.

4.27 What values can you store in a Boolean variable?

4.28 What is a flag variable?


